Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6405 - RedHat 6.1 seems to ignore noprobe flag in ks.cfg file
Summary: RedHat 6.1 seems to ignore noprobe flag in ks.cfg file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-27 00:36 UTC by brian
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-03 15:53:38 UTC


Attachments (Terms of Use)

Description brian 1999-10-27 00:36:16 UTC
I have converted my 6.0 ks.cfg file to work with 6.1.  I
have tried to validate all of my script against the 6.1
documentation and it appears to all be valid to me.  But my
problem is that since I have the Intel Tulip 21143-PD
network cards I have to feed kickstart a noprobe to be able
to specify that it should use the de4x5 driver so that I can
install.  Then I upgrade the kernels tulip driver to version
.91 and life is happy.  Well like I said above, the 6.1
kickstart system seems to ignore the noprobe flag and still
loads the tulip driver which doesnt' work.  I can do it by
hand with expert, but I'm not excited about doing 111
machines by hand.  Here is my ks.cfg file:



###############################################################################
# Kick Start Config File for IBxx Compute Node Last Changed:
Oct 19th, 1999
# AUTHOR: Brian D. Haymore
#
# Target Machine(s): IBxx.ICEBOX
#
# To customize this file for each install change the
following options below:
#       -IP Address
#       -Ethernet card and PCI Probe *IF* installing for
KNE100TX
#       -Graphics Card
#       -Monitor
#       -Mouse
#
# NOTE: KickStart can not be used for a dual boot system.
It will always
#       install on the first IDE/SCSI drive avaliable.
#
###############################################################################

lang en

noprobe
device ethernet de4x5

network --bootproto dhcp

nfs --server 192.168.1.227 --dir
/uufs/icebox/common/admin/KICKSTART/RedHat-6.1/i386

keyboard us

zerombr yes
clearpart --all
part /boot --size 20
part / --size 750
part /var --size 100
part swap --size 128
part /uufs/icebox/host --size 200
part /scratch  --size 500 --grow

install
mouse --kickstart logimmanps/2 --noprobe
#xconfig --server "SVGA" --card "Trident TGUI9680 (generic)"
--monitor "ADI MicroScan 4P"
xconfig --monitor "ADI MicroScan 4P"
timezone US/Mountain
rootpw --iscrypted gtYDrSmlZuGlQ
auth --enablenis --nisdomain icebox --nisserver
192.168.1.227 --useshadow
lilo --location mbr

# Packages Selected for Installation
%packages
@ Base
@ Networked Workstation
@ Network Management Workstation
@ Emacs
@ C Development
@ Development Libraries
@ Kernel Development
raidtools
xntp3
autofs
pdksh
mkkickstart
popt
bzip2
egcs-g77

#Post Install Scripts
%post

Comment 1 Jay Turner 1999-11-30 19:19:59 UTC
This issue has been assigned to a developer for further action.

Comment 2 Erik Troan 2000-02-03 15:53:59 UTC
In the next release, you should specify "noprobe" as a kernel option to get
this behavior.


Note You need to log in before you can comment on or make changes to this bug.